Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 89075 - Internal compiler error in find_reloads_toplev, at reload.c:4462
Internal compiler error in find_reloads_toplev, at reload.c:4462
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-17 05:15 EDT by Paolo Gai
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 17:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the preprocessed file (78.31 KB, text/plain)
2003-04-17 05:16 EDT, Paolo Gai
no flags Details

  None (edit)
Description Paolo Gai 2003-04-17 05:15:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
We got the error in subj compiling the file we send you as attachment.

the file is part of the shark project (shark.sssup.it, that compiled ok until
redhat 7.3.

The gcc distribution is really a redhat 7.3 were we installed the gcc 3.2
distributed with redhat 8.0 (anyway the compiler seems to work without problems)

Compiler oprions were
gcc  -Wimplicit-function-declaration -Wall -I../../include
-I../../drivers/grx/include -I../../drivers/oldchar/include  -I../../oslib
-D__LINUX__ -O -fno-builtin -nostdinc -o control.o -c control.c

the attachment we sent you is created adding a -E at the end of the command

Version-Release number of selected component (if applicable):
gcc-3.2-7

How reproducible:
Always

Steps to Reproduce:
1. compiled the source
2.
3.
    

Actual Results:  the compiler said

control.c: In function `show_display':
control.c:700: Internal compiler error in find_reloads_toplev, at reload.c:4462
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  it should compile the demo

Additional info:
Comment 1 Paolo Gai 2003-04-17 05:16:39 EDT
Created attachment 91171 [details]
the preprocessed file
Comment 2 Richard Henderson 2004-10-03 17:50:42 EDT
No ICE with gcc-3.2.3-20.

Note You need to log in before you can comment on or make changes to this bug.